require "mysql"

QUERY = <<-SQL
  SELECT mapblklot, blklot, block_num, lot_num, from_st, to_st, street, st_type, odd_even
  FROM citylots
  SQL

class Feature
  DB.mapping(
    mapblklot: String,
    blklot: String,
    block_num: String,
    lot_num: String,
    from_st: String?,
    to_st: String?,
    street: String?,
    st_type: String?,
    odd_even: String?
  )
end

DB.open "mysql://root@localhost/codecamp" do |db|
  features = db.query_all QUERY, as: Feature
  puts features.size
end
